/* eslint-disable no-magic-numbers */
import { MapInstance } from '@/types/map';
import { useOlMapWhiteCardLayer } from '@/components/Map/MapViewer/MapViewerVector/utils/config/useOlMapWhiteCardLayer';
import { useOlMapAdditionalLayers } from '@/components/Map/MapViewer/MapViewerVector/utils/config/additionalLayers/useOlMapAdditionalLayers';
import { MapConfig } from '../../MapViewerVector.types';
import { useOlMapReactionsLayer } from './reactionsLayer/useOlMapReactionsLayer';

interface UseOlMapLayersInput {
  mapInstance: MapInstance;
}

export const useOlMapVectorLayers = ({ mapInstance }: UseOlMapLayersInput): MapConfig['layers'] => {
  const reactionsLayer = useOlMapReactionsLayer({ mapInstance });
  const whiteCardLayer = useOlMapWhiteCardLayer();
  const additionalLayers = useOlMapAdditionalLayers(mapInstance);

  return [whiteCardLayer, reactionsLayer, ...additionalLayers];
};
