/* eslint-disable no-magic-numbers */
import { useOlMapCommentsLayer } from '@/components/Map/MapViewer/utils/config/commentsLayer/useOlMapCommentsLayer';
import { MapConfig } from '../../MapViewer.types';
import { useOlMapOverlaysLayer } from './overlaysLayer/useOlMapOverlaysLayer';
import { useOlMapPinsLayer } from './pinsLayer/useOlMapPinsLayer';
import { useOlMapReactionsLayer } from './reactionsLayer/useOlMapReactionsLayer';
import { useOlMapTileLayer } from './useOlMapTileLayer';

export const useOlMapLayers = (): MapConfig['layers'] => {
  const tileLayer = useOlMapTileLayer();
  const pinsLayer = useOlMapPinsLayer();
  const reactionsLayer = useOlMapReactionsLayer();
  const overlaysLayer = useOlMapOverlaysLayer();
  const commentsLayer = useOlMapCommentsLayer();

  return [tileLayer, pinsLayer, reactionsLayer, overlaysLayer, commentsLayer];
};
